# Class CIM_ASBGPEndpoints
extends CIM_SystemComponent

This aggregation defines the different router interfaces that are running BGP in the AutonomousSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent
|
+--CIM_ASBGPEndpoints

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Composition | boolean | true
Description | string | This aggregation defines the different router interfaces that are running BGP in the AutonomousSystem.
UMLPackagePath | string | CIM::Network::ProtocolEndpoints
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_ASBGPEndpoints | CIM_AutonomousSystem
PartComponent | CIM_ASBGPEndpoints | CIM_BGPProtocolEndpoint

## Class Methods